服务支持

loophole

安全补丁公告

当前位置  >  首页  >  服务支持  >  安全补丁公告

公告ID(KYSA-202109-1014

摘要:xdg-utils漏洞 安全等级:中等 公告ID:KYSA-202109-1014 发布日期:2021-09-10 影响CVE:CVE-2020-27748

详细介绍

1. 修复的CVE信息

  • CVE-2020-27748

    描述:在 xdg-utils-1.1.0-rc1 和更新版本的 xdg-email 组件中发现了一个漏洞。在处理 mailto: URI 时,xdg-email 允许在传递给 Thunderbird 时通过 URI 谨慎添加附件。攻击者可能会向受害者发送一个 URI,该 URI 会自动将敏感文件附加到新电子邮件。如果受害者用户没有注意到添加了附件并发送了电子邮件,这可能会导致敏感信息泄露。已经确认这个问题背后的代码在 xdg-email 中而不是在 Thunderbird 中。


2. 影响的操作系统及修复版本

  • 银河麒麟高级服务器操作系统 V10 SP2

xdg-utils-1.1.3-5.ky10

xdg-utils-help-1.1.3-5.ky10


3. 受影响的软件包

  • 银河麒麟高级服务器操作系统 V10 SP2

aarch64:xdg-utils、xdg-utils-help

x86_64:xdg-utils、xdg-utils-help


4. 修复方法

方法一:配置源进行升级安装

1.打开软件包源配置文件,根据仓库地址进行修改。

仓库源地址:

银河麒麟高级服务器操作系统 V10 SP2

aarch64:http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/

x86_64:http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/

2.配置完成后执行更新命令进行升级,命令如下:yum update Packagename

方法二:下载安装包进行升级安装

通过软件包地址下载软件包,使用软件包升级命令根据受影响的软件包列表进行升级安装,命令如下:yum install Packagename


5. 软件包下载地址

  • 银河麒麟高级服务器操作系统 V10 SP2

 xdg-utils aarch64软件包下载地址:

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/xdg-utils-1.1.3-5.ky10.noarch.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/xdg-utils-help-1.1.3-5.ky10.noarch.rpm

 xdg-utils x86_64软件包下载地址:

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/xdg-utils-1.1.3-5.ky10.noarch.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/xdg-utils-help-1.1.3-5.ky10.noarch.rpm

注:其他相关依赖包请到相同目录下载

 


上一篇: KYSA-202109-1013 下一篇: KYSA-202109-1015

试用

服务

动态

联系